Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034848
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServermajorhave not tried2017-01-04 12:152017-06-26 17:23
ReportermtaalView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision6e2f4282b9bc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034848: Implement store server deployment check

DescriptionAfter installing store server it would be great to test that the deployment was done successfully. The idea is implement a test procedure which can be invoked by the admin to test successfull deployment.

http://wiki.openbravo.com/wiki/Projects:Store_Server_Deployment_Check [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096683)
hgbot (developer)
2017-05-19 13:45

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 6e2f4282b9bc35066d6319960efaa9f88c419e00
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 19 13:41:19 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/6e2f4282b9bc35066d6319960efaa9f88c419e00 [^]

Fixes bug 34848: Add a process to check if a server has been deployed properly

There are two ways to execute this process:
- From the store server, using the Check Current Server Deployment process
- From the central server, by selecting a store server in the Mobile Server window and then invoking the Check Store Server Deployment process

Both processes show the result of the check in the message bar.

A new table called STRSYNC_DIAGNOSTIC has been created to be able to check if the synchronization works between the central and the store server

---
M src-db/database/model/modifiedTables/OBMOBC_SERVER_DEFINITION.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
A src-db/database/model/tables/STRSYNC_DIAGNOSTIC.xml
A src-db/database/sourcedata/STRSYNC_SYNCHRONIZEDTABLE.xml
A src-db/database/sourcedata/STRSYNC_SYNCH_CHANNEL.xml
A src/org/openbravo/replication/symmetricds/diagnosis/BidirectionalSynchronizationChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/BidirectionalSynchronizationProcess.java
A src/org/openbravo/replication/symmetricds/diagnosis/CheckCurrentServerDeployment.java
A src/org/openbravo/replication/symmetricds/diagnosis/CheckStoreServerDeployment.java
A src/org/openbravo/replication/symmetricds/diagnosis/MobileKeyAuthenticationManagerIsUsed.java
A src/org/openbravo/replication/symmetricds/diagnosis/MobileServerDefinitionChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/MultiServerDiagnoser.java
A src/org/openbravo/replication/symmetricds/diagnosis/MultiServerDiagnosis.java
A src/org/openbravo/replication/symmetricds/diagnosis/MultiServerPreferenceChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/NoSynchronizationErrorsChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/NoSynchronizationErrorsProcess.java
A src/org/openbravo/replication/symmetricds/diagnosis/RemoteStoreServerDiagnosisProcess.java
A src/org/openbravo/replication/symmetricds/diagnosis/StoreCanGoOnlineChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/StoreServerRegisteredInCentralChecker.java
A src/org/openbravo/replication/symmetricds/diagnosis/StoreServerRegisteredInCentralProcess.java
A src/org/openbravo/replication/symmetricds/diagnosis/SymNodeTableChecker.java
---
(0096714)
mtaal (manager)
2017-05-22 15:44

http://wiki.openbravo.com/wiki/How_to_Do_a_Store_Server_Deployment_Check [^]
(0096741)
hgbot (developer)
2017-05-24 09:51

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 7b1ff5750a586f4ff77dcf19645e2d2749b6c1ee
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed May 24 09:51:04 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/7b1ff5750a586f4ff77dcf19645e2d2749b6c1ee [^]

Related with issue 34848: STRSYNC_DIAGNOSTIC must have a identifier column

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0097637)
hgbot (developer)
2017-06-26 09:29

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 8a3d1868610a35f1c76ef0fdbe41dfda8dd90d37
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jun 26 09:28:52 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/8a3d1868610a35f1c76ef0fdbe41dfda8dd90d37 [^]

Related to issue 34848: Implement store server deployment check
Added some more info to the output shown to the user

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src/org/openbravo/replication/symmetricds/diagnosis/BidirectionalSynchronizationChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/MobileKeyAuthenticationManagerIsUsed.java
M src/org/openbravo/replication/symmetricds/diagnosis/MobileServerDefinitionChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/MultiServerPreferenceChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/NoSynchronizationErrorsChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/RemoteStoreServerDiagnosisProcess.java
M src/org/openbravo/replication/symmetricds/diagnosis/StoreCanGoOnlineChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/StoreServerRegisteredInCentralChecker.java
M src/org/openbravo/replication/symmetricds/diagnosis/SymNodeTableChecker.java
---
(0097669)
mtaal (manager)
2017-06-26 15:48

Reviewed and checked, only my last commit needs to be rechecked by someone else
(0097676)
AugustoMauch (developer)
2017-06-26 17:23

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2017-01-04 12:15 mtaal New Issue
2017-01-04 12:15 mtaal Assigned To => StoreServer
2017-01-04 12:15 mtaal Triggers an Emergency Pack => No
2017-01-11 17:24 mtaal Assigned To StoreServer => mtaal
2017-03-09 10:30 mtaal Target Version RR17Q2 =>
2017-05-01 16:16 mtaal Assigned To mtaal => AugustoMauch
2017-05-19 13:44 AugustoMauch Review Assigned To => mtaal
2017-05-19 13:45 hgbot Checkin
2017-05-19 13:45 hgbot Note Added: 0096683
2017-05-19 13:45 hgbot Status new => resolved
2017-05-19 13:45 hgbot Resolution open => fixed
2017-05-19 13:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/6e2f4282b9bc35066d6319960efaa9f88c419e00 [^]
2017-05-22 15:44 mtaal Note Added: 0096714
2017-05-24 09:51 hgbot Checkin
2017-05-24 09:51 hgbot Note Added: 0096741
2017-06-26 09:29 hgbot Checkin
2017-06-26 09:29 hgbot Note Added: 0097637
2017-06-26 15:48 mtaal Note Added: 0097669
2017-06-26 17:23 AugustoMauch Note Added: 0097676
2017-06-26 17:23 AugustoMauch Status resolved => closed
2017-06-26 17:23 AugustoMauch Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker